com.hazelcast.client.config

## Enum ClientConnectionStrategyConfig.ReconnectMode

- java.lang.Object
- - java.lang.Enum<ClientConnectionStrategyConfig.ReconnectMode>
  - - com.hazelcast.client.config.ClientConnectionStrategyConfig.ReconnectMode

- All Implemented Interfaces:
    Serializable, Comparable<ClientConnectionStrategyConfig.ReconnectMode>
  Enclosing class:
    ClientConnectionStrategyConfig

      public static enum ClientConnectionStrategyConfig.ReconnectMode
      extends Enum<ClientConnectionStrategyConfig.ReconnectMode>

  Reconnect options.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASYNC` Reconnect to cluster without blocking invocations.
    `OFF` Prevent reconnect to cluster after a disconnect
    `ON` Reconnect to cluster by blocking invocations

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientConnectionStrategyConfig.ReconnectMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClientConnectionStrategyConfig.ReconnectMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final ClientConnectionStrategyConfig.ReconnectMode OFF

      Prevent reconnect to cluster after a disconnect

    - #### ON

          public static final ClientConnectionStrategyConfig.ReconnectMode ON

      Reconnect to cluster by blocking invocations

    - #### ASYNC

          public static final ClientConnectionStrategyConfig.ReconnectMode ASYNC

      Reconnect to cluster without blocking invocations. Invocations will receive `HazelcastClientOfflineException`

  - ### Method Detail

    - #### values

          public static ClientConnectionStrategyConfig.ReconnectMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientConnectionStrategyConfig.ReconnectMode c : ClientConnectionStrategyConfig.ReconnectMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientConnectionStrategyConfig.ReconnectMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All rights reserved.